io.netty.handler.codec.mqtt

## Class MqttEncoder

- java.lang.Object
- - io.netty.channel.ChannelHandlerAdapter
  - - io.netty.channel.ChannelOutboundHandlerAdapter
    - - io.netty.handler.codec.MessageToMessageEncoder<MqttMessage>
      - - io.netty.handler.codec.mqtt.MqttEncoder

All Implemented Interfaces:
  io.netty.channel.ChannelHandler, io.netty.channel.ChannelOutboundHandler

    @ChannelHandler.Sharable
    public final class MqttEncoder
    extends io.netty.handler.codec.MessageToMessageEncoder<MqttMessage>

Encodes Mqtt messages into bytes following the protocol specification v3.1 as described here MQTTV3.1 or v5.0 as described here MQTTv5.0 - depending on the version specified in the first CONNECT message that goes through the channel.

### Nested Class Summary

### Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

`io.netty.channel.ChannelHandler.Sharable`

### Field Summary

Fields
`static MqttEncoder` `INSTANCE`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `encode(io.netty.channel.ChannelHandlerContext ctx, MqttMessage msg, List<Object> out)`

### Methods inherited from class io.netty.handler.codec.MessageToMessageEncoder

`acceptOutboundMessage, write`

### Methods inherited from class io.netty.channel.ChannelOutboundHandlerAdapter

`bind, close, connect, deregister, disconnect, flush, read`

### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

`ensureNotSharable, exceptionCaught, handlerAdded, handlerRemoved, isSharable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.netty.channel.ChannelHandler

`exceptionCaught, handlerAdded, handlerRemoved`

### Field Detail

#### INSTANCE

    public static final MqttEncoder INSTANCE

### Method Detail

#### encode

    protected void encode(io.netty.channel.ChannelHandlerContext ctx,
                          MqttMessage msg,
                          List<Object> out)
                   throws Exception

Specified by:
  `encode` in class `io.netty.handler.codec.MessageToMessageEncoder<MqttMessage>`
Throws:
  `Exception`